=== debian/changelog ===
tekton-cli (0.41.1-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.41.1 release
  * Bump the golang-go version required to build

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 09 Aug 2025 21:19:04 +0200

tekton-cli (0.39.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.39.0 release
  * Bump the golang-go version required to build

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 14 Jan 2025 13:22:10 +0200

tekton-cli (0.37.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.37.0 release
  * Bump the Standards-Version
  * Bump the golang-go version required to build
  * Drop the i386 arch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 17 Aug 2024 19:00:14 +0200

tekton-cli (0.36.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.36.0 release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 08 May 2024 13:57:56 +0200

tekton-cli (0.35.0-1kaisen) kaisen-packages; urgency=medium

  * Initial release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 08 Feb 2024 19:52:29 +0100
