=== debian/control ===
Source: tekton-cli
Section: admin
Priority: optional
Maintainer: Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13), golang-go (>= 1.24), dh-golang
Standards-Version: 4.7.2
Homepage: https://tekton.dev/
Vcs-Browser: https://gitlab.com/kaisenlinux/packages/tekton-cli
Vcs-Git: https://gitlab.com/kaisenlinux/packages/tekton-cli.git

Package: tekton-cli
Architecture: amd64 arm64
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: A CLI for interacting with Tekton!
